JSModelKitPopup
Date: 2019-10-22

org.jmol.awtjs2d

## Class JSModelKitPopup

- java.lang.Object
- - org.jmol.popup.GenericPopup
  - - org.jmol.popup.JmolGenericPopup
    - - org.jmol.modelkit.ModelKitPopup
      - - org.jmol.awtjs2d.JSModelKitPopup

- All Implemented Interfaces:
    GenericMenuInterface

      public class JSModelKitPopup
      extends ModelKitPopup

- - ### Field Summary

    - ### Fields inherited from class org.jmol.modelkit.ModelKitPopup

      `BOOLEAN_OPTIONS, MODE_OPTIONS, SET_OPTIONS, STATE_BITS_SYM_EDIT, STATE_BITS_SYM_VIEW, STATE_BITS_UNITCELL, STATE_BITS_XTAL, STATE_MOLECULAR, STATE_SYM_APPLYFULL, STATE_SYM_APPLYLOCAL, STATE_SYM_NONE, STATE_SYM_RETAINLOCAL, STATE_SYM_SHOW, STATE_UNITCELL_EXTEND, STATE_UNITCELL_PACKED, STATE_XTALEDIT, STATE_XTALVIEW, SYMMETRY_OPTIONS, UNITCELL_OPTIONS`

    - ### Fields inherited from class org.jmol.popup.JmolGenericPopup

      `frankPopup, menuText, nFrankList, vwr`

    - ### Fields inherited from class org.jmol.popup.GenericPopup

      `allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSModelKitPopup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getImageIcon(java.lang.String fileName)`
    `void` | `menuCheckBoxCallback(SC source)`
    `void` | `menuClickCallback(SC source, java.lang.String script)`
    `void` | `menuShowPopup(SC popup, int x, int y)`

    - ### Methods inherited from class org.jmol.modelkit.ModelKitPopup

      `actionRotateBond, appGetBooleanProperty, appUpdateForShow, appUpdateSpecialCheckBoxValue, doMenuClickCallbackMK, getActiveMenu, getBundle, getProperty, getRotateBondIndex, getScriptForCallback, getUnknownCheckBoxScriptToRun, handleAssignNew, handleDragAtom, initialize, initializeForModel, isPickAtomAssignCharge, jpiUpdateComputedMenus, menuFocusCallback, setActiveMenu, setProperty`

    - ### Methods inherited from class org.jmol.popup.JmolGenericPopup

      `appFixLabel, appRestorePopupMenu, appRunScript, appRunSpecialCheckBox, jpiDispose, jpiGetMenuAsObject, jpiInitialize, jpiShow, showFrankMenu`

    - ### Methods inherited from class org.jmol.popup.GenericPopup

      `addMenuItem, addMenuItems, appCheckItem, appCheckSpecialMenu, appGetMenuAsString, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSModelKitPopup

          public JSModelKitPopup()

  - ### Method Detail

    - #### menuShowPopup

          public void menuShowPopup(SC popup,
                                    int x,
                                    int y)

      Specified by:
        `menuShowPopup` in class `GenericPopup`

    - #### getImageIcon

          protected java.lang.Object getImageIcon(java.lang.String fileName)

      Specified by:
        `getImageIcon` in class `GenericPopup`

    - #### menuClickCallback

          public void menuClickCallback(SC source,
                                        java.lang.String script)

      Overrides:
        `menuClickCallback` in class `ModelKitPopup`

    - #### menuCheckBoxCallback

          public void menuCheckBoxCallback(SC source)

      Overrides:
        `menuCheckBoxCallback` in class `GenericPopup`